org.apache.fop.render.afp

## Interface AFPRendererContextConstants

- All Superinterfaces:
    RendererContextConstants

      public interface AFPRendererContextConstants
      extends RendererContextConstants

  Defines a number of standard constants (keys) for use by the RendererContext class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AFP_FONT_INFO` The font information for the AFP renderer.
    `static String` | `AFP_GRAYSCALE` Key for a Boolean value that enables grayscale processing instead of color processing.
    `static String` | `AFP_PAINTING_STATE` The afp painting state
    `static String` | `AFP_RESOURCE_MANAGER` The afp resource manager

    - ### Fields inherited from interface org.apache.fop.render.RendererContextConstants

      `FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

- - ### Field Detail

    - #### AFP_GRAYSCALE

          static final String AFP_GRAYSCALE

      Key for a Boolean value that enables grayscale processing instead of color processing.
      See Also:
        Constant Field Values

    - #### AFP_FONT_INFO

          static final String AFP_FONT_INFO

      The font information for the AFP renderer.
      See Also:
        Constant Field Values

    - #### AFP_RESOURCE_MANAGER

          static final String AFP_RESOURCE_MANAGER

      The afp resource manager
      See Also:
        Constant Field Values

    - #### AFP_PAINTING_STATE

          static final String AFP_PAINTING_STATE

      The afp painting state
      See Also:
        Constant Field Values

Copyright © 2023 Apache Software Foundation. All rights reserved.